org.jgroups.protocols

## Class VIEW_SYNC.ViewSyncHeader

- java.lang.Object
- - org.jgroups.Header
  - - org.jgroups.protocols.VIEW_SYNC.ViewSyncHeader

All Implemented Interfaces:
  Streamable

Enclosing class:
  VIEW_SYNC

    public static class VIEW_SYNC.ViewSyncHeader
    extends Header

### Field Summary

Fields
`static int` `VIEW_SYNC`
`static int` `VIEW_SYNC_REQ`

### Constructor Summary

Constructors
Constructor and Description
`VIEW_SYNC.ViewSyncHeader()`
`VIEW_SYNC.ViewSyncHeader(int type, View view)`

### Method Summary

Methods
`int` `getType()`
`View` `getView()`
`void` `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
`int` `size()` To be implemented by subclasses.
`java.lang.String` `toString()`
`void` `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### VIEW_SYNC

    public static final int VIEW_SYNC

See Also:
  Constant Field Values

#### VIEW_SYNC_REQ

    public static final int VIEW_SYNC_REQ

See Also:
  Constant Field Values

### Constructor Detail

#### VIEW_SYNC.ViewSyncHeader

    public VIEW_SYNC.ViewSyncHeader()

#### VIEW_SYNC.ViewSyncHeader

    public VIEW_SYNC.ViewSyncHeader(int type,
                            View view)

### Method Detail

#### getType

    public int getType()

#### getView

    public View getView()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `Header`

#### size

    public int size()

Description copied from class: `Header`
To be implemented by subclasses. Return the size of this object for the serialized version of it. I.e. how many bytes this object takes when flattened into a buffer. This may be different for each instance, or can be the same. This may also just be an estimation. E.g. FRAG uses it on Message to determine whether or not to fragment the message. Fragmentation itself will be accurate, because the entire message will actually be serialized into a byte buffer, so we can determine the exact size.

Specified by:
  `size` in class `Header`

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Description copied from interface: `Streamable`
Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed

Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Description copied from interface: `Streamable`
Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed

Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`